Bug 590335 - e1000e fails probe, RHEL 5 works
e1000e fails probe, RHEL 5 works
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2010-05-08 18:14 EDT by Pete Zaitcev
Modified: 2014-06-29 19:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-23 11:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg - RHEL 5 works ok (24.38 KB, text/plain)
2010-05-08 18:15 EDT, Pete Zaitcev
no flags Details
dmesg - failed probe (41.33 KB, text/plain)
2010-05-08 18:16 EDT, Pete Zaitcev
no flags Details
suggested patch from upstream (801 bytes, patch)
2010-05-11 00:05 EDT, Pete Zaitcev
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 15944 None None None Never

  None (edit)
Description Pete Zaitcev 2010-05-08 18:14:15 EDT
Description of problem:

When loading e1000e, the interface is not detected and cannot be brought up.
The following is seen in dmesg:

e1000e: probe of 0000:00:19.0 failed with error -2

Version-Release number of selected component (if applicable):


How reproducible:

Synchronous, but needs a given hardware

Steps to Reproduce:
1. Reboot
2. modprobe e1000e
Actual results:

Failure to detect and initialize the interface

Expected results:

Working like RHEL 5

Additional info:

Upstream never had it working right, I think. Something is special
about the e1000e driver in RHEL 5, but I don't know what. Hasn't
tried to diff them yet.
Comment 1 Pete Zaitcev 2010-05-08 18:15:25 EDT
Created attachment 412579 [details]
dmesg - RHEL 5 works ok
Comment 2 Pete Zaitcev 2010-05-08 18:16:53 EDT
Created attachment 412580 [details]
dmesg - failed probe
Comment 4 RHEL Product and Program Management 2010-05-08 19:26:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 5 Pete Zaitcev 2010-05-11 00:05:22 EDT
Created attachment 413037 [details]
suggested patch from upstream
Comment 6 Andy Gospodarek 2010-05-18 11:19:05 EDT
Pete, I presume the patch attached in comment#5 fixes the issue for you?

Did a BIOS update fix it too or were you not able to try that?

For reference this is the upstream patch in comment #5:

commit 627c8a041f7aaaea93c766f69bd61d952a277586
Author: Bruce Allan <bruce.w.allan@intel.com>
Date:   Wed May 5 22:00:27 2010 +0000

    e1000e: Reset 82577/82578 PHY before first PHY register read
Comment 7 Pete Zaitcev 2010-05-18 19:27:38 EDT
Unfortunately, no, the patch in comment #5 does not work. It was suggested
that the firmware update may fix it on this box (Intel D3CB1). I'm trying
to find it. Our QA folks supposedly had an ISO somewhere (Intel Premier
seems sadly useless, therefore the delay).
Comment 8 Andy Gospodarek 2010-05-18 20:06:47 EDT
That's too bad.  I've been seeing errors with e1000e lately that appear to be 'fixed in firmware' but I've been holding out hope that there are some software workarounds too.  Looks like that is not the case with this one. :-/
Comment 9 RHEL Product and Program Management 2010-07-15 10:09:56 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 10 Andy Gospodarek 2010-07-15 10:16:11 EDT
Pete, can you test the latest kernel again?  I've added a bunch of e1000e patches since you opened this -- several of them resolved PHY issues.  Also did this only happen when PXE booting or all the time?
Comment 11 Pete Zaitcev 2010-07-15 12:34:00 EDT
I can test. Do you mean latest upstream or latest RHEL 6? If upstream,
from what tree (I would prefer Linus' -rcX tip).

BTW, the firmware upgrade fell through. Intel posted an update, but they
specifically excluded the mainboard type that I have as too old.
Comment 12 Andy Gospodarek 2010-07-15 14:05:03 EDT
Latest RHEL6, was all I was asking.  You can test the latest from Linus' tree if you like for a data-point if you like.

If this is an Intel SDV that they are no longer supporting we can try and make something work, but unfortunately their lack of support doesn't make me interested in working too much on it either.

I can find a way to ship you another card if you really need one. :-)
Comment 13 Pete Zaitcev 2010-07-23 11:11:40 EDT
Latest git of RHEL6 (2.6.32-50) isn't helping.
I think it's a lost cause, closing.

Note You need to log in before you can comment on or make changes to this bug.